services:
  redir115:
    image: htnanako/redir115:nginx
    container_name: redir115
    restart: always
    network_mode: host
    volumes:
      - /volume1/docker/AppData/115/data:/data  # 与COOKIE环境变量二选一，如果使用文件配置ck，则无需COOKIE环境变量
      - /volume1/docker/AppData/115/cache:/var/cache/nginx/emby # 缓存目录
      - /volume1/docker/AppData/115/logs:/var/log/nginx # nginx日志目录
    environment:
      NGINX_PORT: 8092  # nginx监听端口
      EMBY_HOST: http://emby.lan:8096 # emby地址
      EMBY_API_KEY: abcdefghijklmnopqrstuv0123456789  # emby的APIKEY
      ORIGINAL_PATH: /CloudNAS/115  # emby原路径中需要去掉的部分
      REDIR_PATH: /Movies  # emby原路径中需要添加的前缀
      REDIR_HOST: https://redir.abc.xyz  # 填写5302端口的反代地址，必须为https，可实现web播放
      REDIR_MODE: strm_local  # emby媒体文件的类型，可选symlink, strm_local, strm_cloud，默认为strm_local
      COOKIE: UID=;CID=;SEID=;  # 与路径映射二选一，如果使用环境变量配置ck，则无需映射路径